Skip to content
The API may change between versions while TTX-Zone is 0.x.

Domain organizations

GET
/api/v1/instance/domain-organizations
curl --request GET \
--url https://example.com/api/v1/instance/domain-organizations \
--cookie ttx_access_token=<ttx_access_token>

The Waiting Room’s “your organization”: where the caller’s email domain is allowed. Empty in “open” mode – there anyone can found an organization claiming any domain, so it would leak names.

Successful Response

Media typeapplication/json
DomainOrganizationListResponse
object
items
required
Items
Array<object>
DomainOrganizationRead
object
id
required
Id
string format: uuid
name
required
Name
string

Example generated

{
"items": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example"
}
]
}